Retrieves a specific Retrospective Process Group by id
curl --request GET \
--url https://api.rootly.com/v1/retrospective_process_groups/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "d8694e8e-b137-4a76-8547-015689c472c4",
"type": "retrospective_process_groups",
"attributes": {
"retrospective_process_id": "689cffb2-e910-4d82-b14f-1365c72a4ec9",
"sub_status_id": "d15dd296-9921-44ad-8f82-89e23f9daec5",
"position": 1,
"updated_at": "2025-12-09T07:44:25.657-08:00",
"created_at": "2025-12-09T07:44:25.657-08:00"
},
"relationships": {
"retrospective_process_group_steps": {
"data": []
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: retrospective_process_group_steps
retrospective_process_group_steps sub_status found
Show child attributes
Unique ID of the retrospective_process_group
retrospective_process_groups Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/retrospective_process_groups/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "d8694e8e-b137-4a76-8547-015689c472c4",
"type": "retrospective_process_groups",
"attributes": {
"retrospective_process_id": "689cffb2-e910-4d82-b14f-1365c72a4ec9",
"sub_status_id": "d15dd296-9921-44ad-8f82-89e23f9daec5",
"position": 1,
"updated_at": "2025-12-09T07:44:25.657-08:00",
"created_at": "2025-12-09T07:44:25.657-08:00"
},
"relationships": {
"retrospective_process_group_steps": {
"data": []
}
}
}
}